using System.Numerics;

BigInteger i1 = 1;
BigInteger i2 = 1;
Console.WriteLine(i1);
int count = 0;
while (true)
{
    // Operator % zwraca resztę z dzielenia swojego pierwszego operandu przez drugi, a zatem
    // ten przykład będzie wyświetlał liczbę wyłącznie jeśli jest podzielna przez 100 000
    if (count++ % 100000 == 0)
    {
        Console.WriteLine(i2);
    }
    BigInteger next = i1 + i2;
    i1 = i2;
    i2 = next;
}